%define name 	geany
%define cname	Geany
%define version	0.16
%define release	1

Summary:	Small C editor using GTK2
Name: 		%{name}
Version: 	%{version}
Release: 	%mkrel %{release}
License: 	GPL
Group: 		Development/C
URL: 		http://geany.uvena.de/
Source0: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  pkgconfig
BuildRequires:  gtk2-devel
BuildRequires:  desktop-file-utils
BuildRequires:  imagemagick
BuildRequires:  perl-XML-Parser
BuildRequires:  intltool
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
Geany is a small C editor using GTK2 with basic features of an
integrated development environment. It features syntax highlighting,
code completion, call tips, many supported filetypes (including C,
Java, PHP, HTML, DocBook, Perl, LateX, and Bash), and symbol lists.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# research locale file
%find_lang %{name}

# prepare menu
# we remove the key "Version" and "Encoding" because it's invalid
desktop-file-install --vendor="" \
	--remove-category="Application" \
	--add-category="GNOME" \
	--remove-key="Version" \
	--remove-key="Encoding" \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# prepare icons
mkdir -p %{buildroot}%{_miconsdir} %{buildroot}%{_iconsdir} %{buildroot}%{_liconsdir}
convert pixmaps/%{name}.png -geometry 16x16 %{buildroot}%{_miconsdir}/%{name}.png
convert pixmaps/%{name}.png -geometry 32x32 %{buildroot}%{_iconsdir}/%{name}.png
convert pixmaps/%{name}.png -geometry 48x48 %{buildroot}%{_liconsdir}/%{name}.png

# remove useless file
rm %{buildroot}%{_datadir}/icons/hicolor/icon-theme.cache

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%{update_desktop_database}
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_desktop_database}
%{clean_menus}
%endif

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_includedir}/%{name}
%{_libdir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_defaultdocdir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.*
%{_datadir}/icons/hicolor/16x16/apps/*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_iconsdir}/hicolor/*/apps/*


%changelog
* Sun Feb 15 2009 trem <trem@mandriva.org> 0.16-1mdv2009.1
+ Revision: 340646
- update to 0.16

* Sun Jan 04 2009 Jérôme Soyer <saispo@mandriva.org> 0.15-1mdv2009.1
+ Revision: 324737
- Fix BR
- New upstream release

  + Oden Eriksson <oeriksson@mandriva.org>
    - lowercase ImageMagick

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sat Apr 19 2008 trem <trem@mandriva.org> 0.14-1mdv2009.0
+ Revision: 195799
- update to 0.14

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Tue Feb 05 2008 trem <trem@mandriva.org> 0.13-1mdv2008.1
+ Revision: 162874
- update to 0.13

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Oct 14 2007 trem <trem@mandriva.org> 0.12-2mdv2008.1
+ Revision: 98282
- new packaging revision
- remove macro _icons16dir

* Sun Oct 14 2007 Funda Wang <fundawang@mandriva.org> 0.12-1mdv2008.1
+ Revision: 98274
- add missing icons
- fix desktop entry and icons

  + trem <trem@mandriva.org>
    - remove unkown macro iconsbasedir
    - add BuildRequires perl-XML-Parser
    - update to 0.12

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'
    - fix man pages

* Mon May 21 2007 trem <trem@mandriva.org> 0.11-1mdv2008.0
+ Revision: 29521
- new release 0.11


* Wed Feb 28 2007 Jérôme Soyer <saispo@mandriva.org> 0.10.2-1mdv2007.0
+ Revision: 127084
- New release 0.10.2

* Sat Dec 23 2006 trem <trem@mandriva.org> 0.10-1mdv2007.1
+ Revision: 101854
- Add buildrequires ImageMagick
- Add buildrequires desktop-file-utils
- Add buildrequires gtk2-devel
- Add buildrequires pkgconfig
- 0.10
- Import geany

* Fri Aug 11 2006 trem <trem@mandriva.org> 0.8-1mdv2007.0
- 0.8

* Thu Jul 20 2006 trem <trem@mandriva.org> 0.7.1-1mdv2007.0
- 0.7.1
- add Patch0 to fix a double free
- switch to XDG menu

* Mon Jun 05 2006 trem <trem@mandriva.org> 0.7-1mdv2007.0
- 0.7

* Mon May 01 2006 trem <trem@mandriva.org> 0.6-2mdk
- fix packager name in changelog

* Mon May 01 2006 <trem@mandriva.org> 0.6-1mdk
- Initial build.

